/*
    This program calculates the angle between arms of a clock 
    at a given time
*/

#include <iostream>
using namespace std;

void decideAngle(double angleDifference)
{
	if (angleDifference < 0) 
	{		
		angleDifference = angleDifference + 360;		
	} 
	
	if (angleDifference > 180) 
	{
		angleDifference = 360 - angleDifference;
	}

	cout << "Angle is : " << angleDifference << endl;
}

int main() 
{
	int hour, minute;
	
    cout << "Please enter the time hour/minute: ";
	cin >> hour >> minute;
	
	if (hour > 12) 
	{
		hour = hour % 12;	
	}
	
	double slowAngle = hour * 30;
	double fastAngle = (minute / 5.0) * 30;
	double movAngle  = (minute * 30) / 60.0;
	double angleDifference = (slowAngle + movAngle) - fastAngle;
	
	decideAngle(angleDifference);

	return 0;	
}
